Bug 14222 - [i965 64bit] TORCS run abort on mesa 7.0.3 rc1
Summary: [i965 64bit] TORCS run abort on mesa 7.0.3 rc1
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-24 01:05 UTC by Colin.Joe
Modified: 2008-05-23 02:22 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (51.12 KB, text/plain)
2008-01-24 01:05 UTC, Colin.Joe
Details
Xorg.0.log (76.17 KB, text/plain)
2008-01-24 23:15 UTC, Colin.Joe
Details
Xorg.0.log (18.43 KB, text/plain)
2008-02-27 22:51 UTC, Colin.Joe
Details
backtrace (3.24 KB, text/plain)
2008-02-27 22:52 UTC, Colin.Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Colin.Joe 2008-01-24 01:05:36 UTC
Created attachment 13895 [details]
Xorg.0.log

System Environment:
--------------------------
Platform: gm965
Arch: 64bit 
Xf86_video_intel:    xf86-video-intel-2.2-branch
Xserver:   xserver 1.4
Drm:       libdrm 2.3.0     
Mesa:    mesa_7_0_3_rc1 branch       
Kernel:   2.6.23.1  



Bug detailed description:
--------------------------

startx ,run torcs, it run abort and print :
"Visual Properties Report
------------------------
Compatibility mode, properties unknown.
Failed to initialize TTM buffer manager.  Falling back to classic.
/usr/local/bin/torcs: line 52:  6097 Segmentation fault      $LIBDIR/torcs-bin -l $LOCAL_CONF -L $LIBDIR -D $DATADIR $*
"
and it can run normally on 915gm (32bit) and the some mesa version .



Reproduce steps:
----------------
startx , run torcs
Comment 1 Michel Dänzer 2008-01-24 01:53:07 UTC
> Mesa:    mesa_7_0_3_rc1 branch

[...]

> Failed to initialize TTM buffer manager.  Falling back to classic.

The i965 driver on mesa_7_0_branch doesn't have any TTM support. Please clarify.
Comment 2 Shuang He 2008-01-24 05:34:00 UTC
(In reply to comment #1)
> > Mesa:    mesa_7_0_3_rc1 branch
> 
> [...]
> 
> > Failed to initialize TTM buffer manager.  Falling back to classic.
> 
> The i965 driver on mesa_7_0_branch doesn't have any TTM support. Please
> clarify.
> 

yes, I think there's something wrong in his environment.
Lerui, please recover your mesa7.0.3 rc1 environment and try again. Thanks
Comment 3 Colin.Joe 2008-01-24 23:15:19 UTC
Created attachment 13925 [details]
Xorg.0.log

I retest it on mesa 7.0.3 ,and it is the new log .
Comment 4 Eric Anholt 2008-02-19 13:11:48 UTC
I'm confused -- the current information is a Xorg log that appears to be from an X instance that's running just fine.  The original report had a segfault in the client, though the wrong mesa version was being used.  Assuming that X is not actually crashing, could we get updated log of the client being run and a bactrace of it?
Comment 5 Colin.Joe 2008-02-27 22:51:17 UTC
Created attachment 14628 [details]
Xorg.0.log

I retest this case .and this is the new log & backtrace .
Comment 6 Colin.Joe 2008-02-27 22:52:21 UTC
Created attachment 14629 [details]
backtrace
Comment 7 Colin.Joe 2008-05-21 18:45:23 UTC
this bug can't be produced on 7_0_branch 
Comment 8 Gordon Jin 2008-05-22 05:23:51 UTC
so marking it as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.